GET
Get key
Get Key using either the key id or the pub. When using the public key, it will only return the mandatory fields.
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
idstring requiredThe key ID or the public key
Responses
200
OK
Response Body
object
-
idstring required -
pubstring requiredPublic part of a key pair -
ethAddressstringEthereum address associated with this key -
derivedFromParentWithSeedstring -
sourcestring enum requiredusercoldbitgobackup -
hsmTypestring enumThe type of HSM that owns this key.institutionalnitroSDTrustNitrofrankfurtDETrustNitroawsKms -
isBitGoboolean"true" if this key is owned by BitGo -
isTrustboolean"true" if this key is owned by Trust -
encryptedPrvstringThe encrypted private key -
aspKeyIdnumber -
coinSpecificmap of objectscoinSpecific object
-
<key>object
-
-
typestring enum requiredA value from a string enum denoting what kind of key this is. Defaults to “independent” indicating an on-chain key is requested. If set to “tss” this tells us that a “tss” key is requested.tssindependent -
commonKeychainstringThe commonKeychain for the key if this is a MPC key. This value is required to be set when the type is set to “tss” and when the source is either “user” or “backup”. Setting this indicates to BitGo that the owner of the key has received all key shares they needed for generating their key. This value is the concatenation of the common public key (32-byte) with the common chaincode (32-byte) as a hex string. -
verifiedVssProofboolean -
commonPubstringThe common public key. This value is required to be set for MPC keys when the source is either "user" or "backup". Setting this indicates to BitGo that the owner of the key has received all key shares they needed for generating their key. -
commonPubSigstring -
providerstring -
distributedCustodystring -
webauthnDevicesarray of objectswebauthnDevices object
-
authenticatorInfoobject requiredThe information about the authenticatorauthenticatorInfo object
-
credIDstring requiredThe credential ID of the authenticator -
fmtstring requiredThe format of the authenticator -
publicKeystring requiredThe public key of the authenticator
-
-
encryptedPrvstring requiredThe encrypted private key -
otpDeviceIdstring requiredThe OTP device ID -
prfSaltstring requiredThe PRF salt
-
-
migratedFromstring -
parentstringThe id of the parent key this key was derived from, if any
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id